%define shortname revtex
%define name tetex-%{shortname}
%define version 4.1
%define rversion %( echo %{version} | tr . - )
%define release 1.sl6.1

#%define texmfdir %{_datadir}/texmf
%define texmfdir /usr/local/share/texmf
%define texdir %{texmfdir}/tex
%define latexdir %{texdir}/latex
%define packagedir %{latexdir}/%{shortname}

Summary: REVTeX LaTeX Macros
Name: %{name}
Version: %{version}
Release: %{release}
URL: http://authors.aps.org/revtex4/
Source0: http://authors.aps.org/revtex4/revtex%{rversion}.zip
Source1: url.sty
License: LPPL (http://www.latex-project.org/lppl.txt)
Group: Publishing
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildArch: noarch
Requires: tetex >= 2.0.2, tetex-natbib >= 8.31a

%description
REVTeX 4.1 is a set of macro packages designed to be used with LaTeX2e and
is well-suited for preparing manuscripts for submission to the journals of
the American Physical Society (APS) and American Institute of Physics 
(AIP).

%prep
%setup -n %{shortname}%{rversion}
unzip -o revtex%{rversion}-tds.zip

%build

%install
rm -rf "$RPM_BUILD_ROOT"
install --mode=0755 -d "$RPM_BUILD_ROOT%{texmfdir}"

cp -ar bibtex doc tex "$RPM_BUILD_ROOT%{texmfdir}"

install --mode=0755 -d "$RPM_BUILD_ROOT%{latexdir}/ltxmisc"
install --mode=0644 %{SOURCE1} "$RPM_BUILD_ROOT%{latexdir}/ltxmisc"

chmod -R ugo+rX "$RPM_BUILD_ROOT%{texmfdir}"

%post
[ -x /usr/bin/texhash ] && /usr/bin/env - /usr/bin/texhash 2> /dev/null
exit 0

%postun
[ -x /usr/bin/texhash ] && /usr/bin/env - /usr/bin/texhash 2> /dev/null
exit 0

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%dir %{texdir}
%dir %{latexdir}
%dir %{packagedir}
%dir %{latexdir}/ltxmisc
%{latexdir}/ltxmisc/url.sty
%{packagedir}/*
%dir %{texmfdir}/doc/latex/%{shortname}
%doc %{texmfdir}/doc/latex/%{shortname}/*
%dir %{texmfdir}/bibtex
%dir %{texmfdir}/bibtex/bst
%dir %{texmfdir}/bibtex/bst/revtex
%{texmfdir}/bibtex/bst/revtex/*

%changelog
* Mon Dec 3 2012 Pat Riehecky <riehecky@fnal.gov>
- pulled from PUIAS, thanks!

* Thu Mar 18 2010 Josko Plazonic <plazonic@math.princeton.edu>
- initial build
